Doomsday Engine - Feature #1546

Option for particle generator to hide sprite
2011-09-29 12:55 - vermil

Status: New Start date: 2011-09-29
Priority: Low % Done: 0%
Assignee:

Category: Enhancement

Target version: Rendering

Description

I would like to request the addition of a field to particle generators that stops the sprite rendering during the state or maybe even
permanently past that point.

Labels: Customizability

Related issues:
Related to Feature #1699: Particle renderer 2.0 New 2014-01-03

History

#1 - 2013-10-22 11:52 - skyjake
- Tags set to Particles, Sprites
- Subject changed from Option for particle gen to disable sprite rendering to Option for particle generator to hide sprite

- Priority changed from Normal to Low

Is the objective to effectively completely replace a sprite with particles? If so, would this only affect sprites or should it be applicable to any mobjs,
even if they are shown as 3D models?

#2 - 2013-10-22 23:07 - danij

Note that in the past mod authors have used a "null model" definition for this purpose.

#3 - 2013-10-22 23:37 - vermil

The issue with using a blank model definition, is that it requires the user to have turned models on.

I'm also imagining that this generator flag will turn it ‘self on/off depending on whether the user has generators turned on/off.
#4 - 2019-11-29 15:45 - skyjake

- Category set to Enhancement

- Target version set to Rendering

#5 - 2019-11-29 15:45 - skyjake
- Related to Feature #1699: Particle renderer 2.0 added
